Bug 142996 - copy result rpm sto ispec server
Summary: copy result rpm sto ispec server
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Ready Certification Tests
Classification: Retired
Component: ispec (Show other bugs)
(Show other bugs)
Version: beta
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Will Woods
QA Contact: Richard Li
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-15 17:12 UTC by Richard Li
Modified: 2007-04-18 17:17 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-15 13:45:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Richard Li 2004-12-15 17:12:28 UTC
result rpms from rhr need to be copied to ispec server

Comment 1 Will Woods 2004-12-19 23:27:06 UTC
There is code for this in CVS. It uses scp to copy the results back and
therefore requires a proper ssh key setup. Currently the NETWORK test will break
this.

Comment 2 Will Woods 2005-01-06 15:35:05 UTC
The NETWORK test has been changed to not mess with ssh keys; assuming that the
keys are handled properly by ispec / rhr this should work fine.

Comment 3 Will Woods 2005-01-11 16:45:18 UTC
This has to be done manually in 1.0. It is documented in the hwcert-process doc
(Step 9 in Ch.3.7, currently on pg. 19):

"Copy the RPM in /redhatready/ to a safe location on the iSpec machine (or
another machine that is not being tested). The testing process will delete this
RPM as part of the next installation."

This should be done automatically for 1.1.

Comment 4 Will Woods 2005-04-28 21:37:34 UTC
This can be done using the 'upload' script in ispec-1.1-5, like so:

[root@testbox root]# ~/hwcert/upload /redhatready/*

It's not automatic as of yet. rhr would need to invoke it after completing its
tests (but only when there was an iSpec server present). Should we defer this to
a later release, or drop it entirely?

Comment 5 Richard Li 2005-05-02 18:23:15 UTC
Targeting for hwcert-devel, not -current

Comment 6 Rob Landry 2006-05-15 13:45:54 UTC
IIRC this made it into the scripts at a later date; as well iSpec will be
deprecated going forward; closing WONTFIX.


Note You need to log in before you can comment on or make changes to this bug.